KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataFolder Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataContainer → Marble.GeoDataFeature → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

A container that is used to arrange other GeoDataFeatures.

A GeoDataFolder is used to arrange other GeoDataFeatures hierarchically (Folders, Placemarks, NetworkLinks, or Overlays). A GeoDataFeature is visible only if it and all its ancestors are visible.

See also:
  GeoDataFeature

See also:
  GeoDataContainer

## Methods
| __init__ (self, Marble.GeoDataObject parent=0)
EnumFeatureId | featureId (self)
bool | isFolder (self)

## Method Documentation

__init__ | ( | self, |
|  | Marble.GeoDataObject | parent=0
| ) |  |  |

EnumFeatureId featureId | ( |  | self ) |

bool isFolder | ( |  | self ) |